### Constructor

# ECal ReminderWatcher new

since: 3.30

#### Declaration [src]

    EReminderWatcher*
    e_reminder_watcher_new (
      ESourceRegistry* registry
    )

#### Description [src]

Creates a new `EReminderWatcher`, which will use the `registry`. It adds its own reference to `registry`. Free the created `EReminderWatcher` with `g_object_unref()` when no longer needed.

Available since: 3.30

#### Parameters

`registry`

  Type: `ESourceRegistry`

  An `ESourceRegistry`.

  The data is owned by the caller of the function.

#### Return value

Type: `EReminderWatcher`

A new instance of `EReminderWatcher`.

The caller of the function takes ownership of the data, and is responsible for freeing it.